/**
*USB Assistant App
* Implementing USB Assistant App
*/
var USBAssistantApp = USBAssistantApp || {};  //Define USB Assistant App namespace.
/**
*Constructor UNAS App
*/
USBAssistantApp.App = function () {
	this.id = 'USB Assistant';
	this.name = 'USB Assistant';
	this.version = '6.0.8';
	this.active = false;
	this.menuIcon = '/apps/usbassistant/images/logo.png?v=6.0.8&';
	this.shortcutIcon = '/apps/usbassistant/images/logo.png?v=6.0.8&';
	//this.entryUrl = '/apps/usbassistant/usbassistant_check.html?v=6.0.8&';
	//this.entryHelpUrl = '/apps/usbassistant/usbassistant_help.html?v=6.0.8&';
	var self = this;
	this.USBAssistantAppWindow = function () {
		if(UNAS.CheckAppState('USB Assistant')){
			return false;
		}
		self.window=new MUI.Window({
			id: 'USBAssistantAppWindow',
			title: UNAS._('USB Assistant'),
			icon: '/apps/usbassistant/images/logo_small.png?v=6.0.8&',
			loadMethod: 'xhr',
			width: 1024,
			height: 450,
			maximizable: false,
			resizable: true,
			scrollbars: false,
			resizeLimit: { 'x': [800, 1200], 'y': [450, 900] },
			contentURL: '/apps/usbassistant/usbassistant.html?v=6.0.8&',
			require: {  css: ['/apps/usbassistant/css/usbassistant.css'] },
			onBeforeBuild: function(){
				UNAS.SetAppOpenedWindow('USB Assistant','USBAssistantAppWindow');
			},
			onClose:function(){
				if(window.usbassistant && window.usbassistant.onClose){
					window.usbassistant.onClose();
					window.usbassistant.onClose = null;
				}
				window.usbassistant = null;
			}
	 	});
	};
	this.USBAssistantUninstall = function (){
		UNAS.RemoveDesktopShortcut('USB Assistant');
		UNAS.RemoveMenu('USB Assistant');
		//UNAS.RemoveAppFromGroups('USB Assistant', 'Help');
		UNAS.RemoveAppFromGroups('USB Assistant', 'ControlPanel');
		UNAS.RemoveAppFromApps('USB Assistant');
	};
	new UNAS.Menu("UNAS_App_Other_Menu", this.name, this.menuIcon, 'USB Assistant', '', this.USBAssistantAppWindow);
	new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'USB Assistant', this.USBAssistantAppWindow);
	//new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Other', 'Location' : 3, "Icon": this.shortcutIcon, "Url": this.contentURL},{});
	//new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Other', 'Location' : 3, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
	var OnChangeLanguage = function (e) {
		UNAS.SetMenuTitle('USB Assistant', UNAS._('USB Assistant')); //translate menu
		UNAS.SetShortcutTitle('USB Assistant', UNAS._('USB Assistant'));
		if (typeof self.window !== 'undefined') {
			UNAS.SetWindowTitle('USBAssistantAppWindow', UNAS._('USB Assistant'));
		}
	};
	UNAS.LoadTranslation('/apps/usbassistant/languages/Translation?v='+this.version, OnChangeLanguage);
	UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
	UNAS.CreateApp(this.name, this.shortcutIcon, this.USBAssistantAppWindow, this.USBAssistantUninstall);
};

new USBAssistantApp.App();
